.deposit__bottom {
    margin-top: 33px;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;

    .bottom__calculate {
        flex-basis: calc(27.3% - (34px + 60px));
        padding: 32px 60px 34px 32px;
        box-shadow: 0 30px 50px rgba(90, 90, 90, 0.1);
        border-radius: 10px;
        background-color: #ffffff;

        .text-calculate {
            color: #383838;
            font-family: 'Geometria Bold';
            font-size: 14px;
            font-weight: 700;
            line-height: 15px;
            margin-bottom: 50px;
        }

        .calculate__input {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 50px;

            label {
                color: #a8a8a8;
                font-family: 'Geometria';
                font-size: 14px;
                font-weight: 400;
                line-height: 15px;
            }

            input, select {
                flex-basis: calc(215px - 15px);
                border-radius: 8px;
                background-color: #efefef;
                font-size: 14px;
                color: #2b5ede;
                padding: 10px 0 10px 15px;
                border: none;
                outline: none;
                box-shadow: none;
            }

            select {
                width: calc(215px - 36px);
                -webkit-appearance: none;
                -moz-appearance: none;
                appearance: none;
            }

            .box-down {
                position: relative;

                input, select {
                    width: calc(215px - 23px);
                    border-radius: 8px;
                    background-color: #efefef;
                    font-size: 14px;
                    color: #2b5ede;
                    padding: 10px 0 10px 15px;
                    border: none;
                    box-shadow: none;
                }

                select {
                    width: calc(215px - 22px);
                    -webkit-appearance: none;
                    -moz-appearance: none;
                    appearance: none;
                }

                .down {
                    width: 20px;
                    height: 20px;
                    fill: #cdcdcd;
                    position: absolute;
                    top: 0;
                    bottom: 0;
                    margin: auto;
                    right: 13px;
                    transform: rotate(90deg);
                }
            }
        }

        .calculate-btn {
            display: flex;
            justify-content: space-between;
            align-items: center;
            flex-wrap: wrap;

            .link-goCalculate {
                border-radius: 30px;
                background-image: linear-gradient(to top, #2450d0 0%, #3069e9 100%);
                color: #ffffff;
                font-family: 'Geometria';
                font-size: 14px;
                font-weight: 400;
                line-height: 15.05px;
                padding: 17px 56px 17px 57px;
                text-decoration: none;
                transition-duration: 500ms;
                transition-property: box-shadow;

                &:hover {
                    background-image: linear-gradient(to top, #3069e9 0%, #2450d0 100%);
                    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.4);
                }
            }

            .text-podskazka {
                flex-basis: 181px;
                color: #c4c4c4;
                font-family: 'Geometria';
                font-size: 12px;
                font-weight: 400;
                line-height: 14px;
            }
        }

    }
}

.bottom__table {
    flex-basis: calc(100% - (28.3% + 39px + 35px));
    padding: 35px 35px 35px 35px;
    box-shadow: 0 30px 50px rgba(90, 90, 90, 0.1);
    border-radius: 10px;
    background-color: #ffffff;

    .table__title {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        position: relative;
        z-index: 99;

        .title-table {
            color: #383838;
            font-family: 'Geometria Bold';
            font-size: 14px;
            font-weight: 700;
            line-height: 15px;
        }

        .text {
            display: flex;
            justify-content: flex-start;
            align-items: center;
            flex-wrap: wrap;
            color: #393939;
            font-family: 'Geometria';
            font-size: 14px;
            font-weight: 400;
            line-height: 14.93px;

            span {
                color: #2a5ede;
                font-family: 'Geometria Bold';
                font-size: 14px;
                font-weight: 700;
                line-height: 14.93px;
                margin-left: 30px;
            }

            svg {
                width: 16px;
                height: 16px;
                fill: #cdcdcd;
                margin-left: 30px;
                transform: rotate(90deg);
            }
        }
    }

    table {
        border-collapse: collapse;
        margin-top: 48px;
        width: 100%;

        thead {
            tr {
                th {
                    padding-bottom: 40px;
                    color: #393939;
                    font-family: 'Geometria';
                    font-size: 14px;
                    font-weight: 400;
                    line-height: 26px;
                    text-transform: uppercase;
                }
            }
        }

        tbody {
            width: 100%;

            tr {
                width: calc(100% - 42px);
                box-shadow: 0 30px 50px rgba(90, 90, 90, 0.1);
                border-radius: 10px;
                background-color: #ffffff;
                animation-fill-mode: none;

                td {
                    border: none;
                    box-shadow: none;
                    height: 72px;
                    background-color: #fafafa;
                    margin-bottom: 20px;
                    color: #a6a6a6;
                    font-family: 'Geometria';
                    font-size: 1em;
                    font-weight: 400;
                    line-height: 26px;
                    text-align: center;

                    &:last-child {
                        padding-right: 21px;

                    }

                    &:first-child {
                        padding-left: 21px;
                    }

                    &:nth-child(4) {
                        color: #2a5edd;
                        font-family: 'Geometria Bold';
                        font-size: 14px;
                        font-weight: 700;
                        line-height: 26px;
                    }

                    .box-absolute {

                    }

                    svg {
                        width: 23px;
                        height: 23px;
                        fill: #afafaf;
                        transition-duration: 500ms;
                        transition-property: fill;

                        &:hover {
                            fill: #2b5ede;
                            cursor: pointer;
                        }
                    }

                    .openClickSvg {
                        transform: rotate(90deg);
                    }
                }

                .tdModal {
                    position: relative;
                    text-align: left;

                    .box-absolute {
                        position: absolute;
                        top: -100%;
                        bottom: 0;
                        right: 100%;
                        width: calc(376px - (28px));
                        padding: 20px 0 4px 16px;
                        height: 223px;
                        box-shadow: 0 30px 50px rgba(90, 90, 90, 0.1);
                        border-radius: 10px;
                        background-color: #ececec;
                        animation: openModal .3s forwards;

                        .closeSvg {
                            position: absolute;
                            top: 11px;
                            right: 13px;
                            width: 16px;
                            height: 16px;
                            fill: #afafaf;
                            transition-duration: 500ms;
                            transition-property: fill;

                            &:hover {
                                cursor: pointer;
                                fill: #2b5ede;
                            }
                        }

                        .text-title {
                            color: #333333;
                            font-size: 14px;
                            font-weight: 400;
                            line-height: 26px;
                            margin-top: 0;
                        }

                        .box-absolute--element {
                            display: flex;
                            justify-content: flex-start;
                            align-items: center;
                            flex-wrap: wrap;
                            margin-top: 0;

                            svg {
                                width: 23px;
                                height: 19px;
                                fill: #3069e9;
                                margin-right: 20px;
                            }

                            .rightElement {
                                color: #333333;
                                font-size: 14px;
                                font-weight: 400;
                                line-height: 26px;

                                span {
                                    color: #2b5edf;
                                    font-family: 'Geometria Bold';
                                    font-weight: 700;
                                }
                            }
                        }

                        .text-dateOpen {
                            margin-bottom: 10px;
                            margin-top: 10px;
                        }
                    }
                }
            }

            .noneTable {
                height: 30px;
                background: none;
            }
        }
    }

    .box-pagination {
        margin-top: 146px;

        .pagination-link {
            color: #9d9d9d;
            font-family: 'Geometria Bold';
            font-size: 14px;
            font-weight: 700;
            line-height: 26px;
            text-decoration: none;
            margin-right: 15px;
            transition-duration: 500ms;
            transition-property: color;

            &:hover {
                color: #2b5ede;

                svg {
                    fill: #2b5ede;
                }
            }

            svg {
                width: 23px;
                height: 11px;
                fill: #cdcdcd;
                transition-duration: 500ms;
                transition-property: fill;
            }
        }

        .pagination-link--active {
            color: #2a5ddd;
            font-family: 'Geometria Bold';
            font-size: 14px;
            font-weight: 700;
            line-height: 26px;
        }

    }
}

@keyframes openModal {
    0% {
        top: 0%;
    }
    100% {
        top: -100%;
    }
}

@media(max-width: 1000px) {
    .deposit__bottom .bottom__calculate {
        flex-basis: 100%;
        margin-bottom: 20px;
    }
    .deposit__bottom .bottom__table {
        flex-basis: 100%;
    }
}

@media(max-width: 500px) {
    .deposit__bottom .bottom__calculate {
        padding: 10px;
    }
}

@media(max-width: 780px) {
    table td:before {
        content: attr(data-label);
        display: block;

    }
    table tbody tr {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;

    }

    .deposit__bottom .bottom__table table tbody tr td {
        background-color: #fff;
        padding: 0;
    }
    .deposit__bottom .bottom__table table tbody tr {
        width: 100%;
    }
    .deposit__bottom .bottom__table table tbody tr td:first-child {
        padding-left: 0;
    }
    .deposit__bottom .bottom__table table tbody tr td:last-child {
        padding-right: 0;
    }
    .deposit__bottom .bottom__table table tbody tr td {
        height: auto;
    }
    table td {
        width: 100%;
    }
    table thead {
        display: none;
    }
    .deposit__bottom .bottom__table table tbody tr .tdModal {
        text-align: center;
    }
    .deposit__bottom .bottom__table table tbody tr td svg {
        display: block;
        margin: 0 auto;
        width: 23px;
        height: 23px;
        fill: #afafaf;
        transform: rotate(90deg);
        transition-duration: 500ms;
        transition-property: fill;
    }
    .deposit__bottom .bottom__table table tbody tr .tdModal .box-absolute {
        //display: none;
        position: absolute;
        top: auto;
        left: 0;
        right: 0;
        bottom: -300px;
        margin: auto;
        width: calc(376px - (28px));
        padding: 20px 0 4px 16px;
        height: 223px;
        box-shadow: 0 30px 50px rgba(90, 90, 90, .1);
        border-radius: 10px;
        background-color: #ececec;
        -webkit-animation: openModal .3s forwards;
        animation: openModal .3s forwards;
    }
    .deposit__bottom .bottom__table table tbody tr .tdModal {
        text-align: center;
    }
    .deposit__bottom .bottom__table table tbody tr .tdModal .box-absolute .box-absolute--element svg {
        width: 23px;
        height: 19px;
        fill: #3069e9;
        margin-left: 20px;
    }
    .deposit__bottom .bottom__table table tbody tr .tdModal .box-absolute .box-absolute--element .rightElement {
        color: #333;
        font-size: 14px;
        font-weight: 400;
        line-height: 26px;
        margin-right: 20px;
    }
}

@media(max-width: 780px) {
    .deposit__bottom .bottom__table table tbody tr .tdModal .box-absolute {
        width: calc(100% + 20px);
        left: -35px;
    }
}
